/* (c) Copyright 1993 by Jeff Thorne.  This program can be copied as long as
   this message is not deleted and the program is distributed free of charge */

/* This program is shellprog.c 
   It is intended to be used in conjunction with seqshell.
   To compile shellprog.c, type:
 
   cc shellprog.c -o shellprog 
*/ 

#include<stdio.h>

#define MAXSEQS 25

main()
{

   int nseqs, ktrack1, ktrack2;
   int outval;
   FILE *testseq, *thisfar;

   testseq=fopen("testseq", "r");

   fscanf(testseq, "%d", &nseqs);
   fclose(testseq);
   if(nseqs<2 || nseqs > MAXSEQS)
   {
      printf("Error: The number of sequences is not between 2 and %2d\n",
             MAXSEQS);
      ktrack1=1;
      ktrack2=2;
      outval=3; 
   }
   else
   {
      thisfar=fopen("thisfar", "r");
      fscanf(thisfar,"%d%d%d", &ktrack1, &ktrack2, &outval);
      fclose(thisfar);

      if(ktrack2==nseqs && ktrack1 == nseqs -1 && outval==0)
      {
         printf("Distance Calculations Complete\n");
         ktrack1=1;
         ktrack2=2;
         outval=1;
      }
      else
      {
         if( ktrack2 <= ktrack1 || ktrack2 > nseqs)
         {
            printf("Program is confused and exiting\n");
            ktrack1=1;
            ktrack2=2;
            outval=4;
         }
         else
         {
            if(outval != 0) outval=0;
            else
            {
               ktrack2++;
               if(ktrack2>nseqs)
               {
                  ktrack1++;
                  ktrack2=ktrack1+1;
               }
               outval=0; 
            }
         }
      }
   }
   if(outval==0)
   {
      printf("+++++ +++++ +++++ +++++ +++++ +++++ ");
      printf("+++++ +++++ +++++ +++++ +++++ +++++\n");
   }

   printf("PROG1: ktrack1(%d) ktrack2(%d) outval(%d)\n", 
           ktrack1,ktrack2, outval);
   thisfar=fopen("thisfar", "w");
   fprintf(thisfar,"%d %d %d\n", ktrack1, ktrack2, outval);
   fclose(thisfar);
}

